1

I just purchased a new Epson WF-3720 all-in-one to use with a System 76 Sable running Ubuntu 16.04 and have made several attempts to get working drivers installed.

I am posting documentation of my current attempt in hope of getting some assistance and create a forum thread that will be helpful to others

Starting from this page: How-to Install Epson WF 3720 Ubuntu 16.04 & Quick-Start Scanning

Following the link in step one takes us here on the Epson site: Download Printer Driver ESC/P-R Driver 2 (generic driver) | Epson - drivers & downloads

After accepting licensing terms we get choice of downloads. The one that appears to be best fit is epson-inkjet-printer-escpr2_1.0.13-1lsb3.2_i386.deb , so we download it.

There is an instruction to install LSB package (version 3.2 or later) before the .deb file, so we do that after running sudo apt-get clean, sudo apt-get autoremove, sudo apt-get update, and sudo apt-get upgrade to clean up after previous installation attempts.

Now we try to install LSB in this terminal session:

rodgers@rodgers-Sable:~$ sudo # apt-get install lsb

usage: sudo -h | -K | -k | -V

usage: sudo -v [-AknS] [-g group] [-h host] [-p prompt] [-u user]

usage: sudo -l [-AknS] [-g group] [-h host] [-p prompt] [-U user] [-u user]
            [command]

usage: sudo [-AbEHknPS] [-r role] [-t type] [-C num] [-g group] [-h host] [-p
            prompt] [-u user] [VAR=value] [-i|-s] [<command>]

usage: sudo -e [-AknS] [-r role] [-t type] [-C num] [-g group] [-h host] [-p
            prompt] [-u user] file ...

This is strange looking, we ask for an informed opinion on whether this appears ok so far before proceeding to install the .deb file.

Update:

We have been informed the # comments out the rest of the command, so we try again:

~$ sudo apt-get install lsb

Reading package lists... Done

Building dependency tree

Reading state information... Done

lsb is already the newest version (9.20160110ubuntu0.2).

lsb set to manually installed.

0 upgraded, 0 newly installed, 0 to remove and 6 not upgraded.

So we already have LSB.

Double clicking epson-inkjet-printer-escpr2_1.0.13-1lsb3.2_i386.deb and choosing Install returns this:

Detailed errors from the package manager follow:

apt transaction returned result exit-failed

Any advise at this point would be greatly appreciated.

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.